33

elementary develops an OS rather than just a DE for a few reasons. elementary OS is advertised as a replacement for Windows and macOS. Distributing elementary OS as a whole OS makes it easier to improve all aspects of the user experience (UX). elementary is able to focus development on a single codebase. 1. A replacement for Windows and macOS The primary ...


16

Yes, elementary OS Loki has been released. For the latest version of elementary OS, you can always visit elementary.io.


14

Please keep in mind that elementary supports its penultimate releases only slightly into its current release's life. The older software below is unsupported by the developers and is provided here primarily for purposes of history and curiosity. A librarian once told me about the lifecycle of periodicals. At first, they are common, used, and after some time, ...


12

No, there is absolutely no difference between paid and unpaid downloads. They link to identical ISO files. To answer your first question, yes, elementary OS is open source. Most of the code can be found here. Even the elementary.io website itself is open source. To answer your second question, you're making a mistake by confusing MB with MiB. It's a pretty ...


11

Update elementary OS Freya 0.3.2 has been released and fixes many of these issues. If you are installing or working on 0.3.1 and are experiencing these issues, we recommend you upgrade. Keep in mind that this is only a workaround! Rob Hartley (8ob): This is only a workaround though. The real question is why this happens in the first place. I did not ...


10

Recommended System Specifications Recent Intel i3 or comparable dual-core 64-bit processor 4 GB of system memory (RAM) Solid state drive (SSD) with 15 GB of free space Internet access 1024×768 display Learn more at http://elementary.io/en/docs/installation#recommended-system-specifications


10

You must open a terminal and write: sudo apt-get update sudo apt-get install software-properties-gtk


10

According to this tweet from the official elementary OS Twitter account, it won't be possible to directly upgrade. A clean install will be required. See also: Should I download loki beta or freya?


9

No. This is because Ubuntu based distros that are not official spins like Linux Mint and elementary OS are based on the latest LTS versions. This is done because LTS releases are more throughly tested and are proved to be very stable. So the next elementaryOS version bump will occur when 18.04 LTS will be released.


8

Press Ctrl+Alt+F3 and login into the terminal with your username and password. Your password will not show * or anything, but it is being typed. Now run ls ~ -lah to list files in your home folder. If in the output the line -rw------- 1 root root 53 Nov 29 10:19 .Xauthority appears then your .Xauthority file has the wrong permissions. You need to do ...


7

There isn't currently a way to upgrade from one release of elementary OS to another. From the release announcement: elementary OS Luna users should back up their data and perform a clean install. Upgrading to elementary OS Loki will probably require a clean install as well. Upgrade support is planned for a future version of elementary OS, though.


6

Try adding nomodeset to the boot. Here's how to do it: Press and hold the Shift button which will show you a GRUB screen containing a list of kernels and recovery options. Press e to edit the appropriate kernel. Add the word nomodeset before the words with quiet splash. Press Crtl+X to boot. NOTE: This will only add the nomodeset temporarily. Source: ...


6

This answer is after the discussion in chat Here you have to do two things , 1 . Deleting the /swapspace file created using AU question. 2 . Creating swap in unallocated space. 1 . Open terminal and run the commands: sudo swapoff /swapspace sudo rm /swapspace 2 . Install gparted, sudo apt-get install gparted Note Careful while selecting partition. ...


6

SOLVED: This issue was due to having the SATA mode set to RAID in BIOS. It was resolved by first following this post, then switching SATA mode to AHCI in BIOS and booting to Safe Mode in Windows which seems to install the AHCI driver needed to start Windows in AHCI mode. After this, I was able to again restart from the elementary USB, choose "Try without ...


6

I have archived old versions of Elementary OS and I published them online: http://osarchive.sda1.eu/elementary-os


6

Nope, there is no current build of the operating system for ARM processors, though theoretically someone could build one. However, you can download ARM and Raspberry Pi-compatible builds of Ubuntu and Debian (Raspbian), the latter being the most popular. (elementary OS is based on Ubuntu, which is based on Debian.) You can track the wishlist request for an ...


6

Try launching your kernel with nomodeset option, following this instructions: During the boot process, press and hold SHIFT key. Now you can see the grub menu. Press e key on first line to edit it. Go to line with the quiet splashsentence. Something like: linux /boot/vmlinuz-4.4.0-57-generic root=UUID=xxxx-xxxx-xxxxx ro quiet splash. Add the nomodeset ...


5

Recommended System Specifications for elementary OS : Intel i3 or comparable dual-core 64-bit processor 1 GB of system memory (RAM) 15 GB of disk space Internet access Download Elementary OS from here Shrink one of your partition in windows (for example shrink 20GB) Boot in to live USB or disk. Now you’ll be asked to choose the ...


5

There is not a netboot install for elementary OS.


5

After a bit of tinkering I managed to get Elementary installed.This very helpful guide walked me through installing Freya on a UEFI based system using the rEFInd boot manager instead of GRUB2. The DPI wasn't right after install, even though the resolution was set to 1920x1080. Running this command (mentioned in this Reddit post) fixed the problem: ...


5

This seems pretty direct and official to me: http://sourceforge.net/projects/elementaryos/files/stable/elementaryos-stable-amd64.20130810.iso/download ;)


5

Try shasum -a 256 elementaryos-freya-amd64.20150411.iso The -c flag shouldn't be in there.


5

There is an option to encrypt the disk when you select the device for partitioning in the installer setup. This will encrypt the entire disk and not just the home partition (assuming you use the default partition scheme which is just one ext4 partition and one swap partition).


5

Yes, it does come installed by default. Open a terminal session (press Supr+t or search for terminal in Slingshot) and enter: $ python This will give you access to Python 2. If you need to work with Python 3, the command is: $ python3


5

Yes, elementary OS is completly Open Source. Most projects are listed here. The iso is the same regardless you pay something or not. You can verify the iso. See this site.


5

There is no special version of elementary OS only for paying users (and there will never be one). The payment is a pay-what-you-want thing which allows you to pay $0. Your payment is entirely voluntary to support the development of elementary OS. Just type in $0 in the "custom amount" box. Therefore, if you paid and didn't get a download, re-try it with $0. ...


5

The elementary OS .iso file is too large to fit on a CD, so you will need to either burn it to a DVD or else make an elementary live USB using a flash drive that has at least 2GB. To burn on DVD from Ubuntu: see here Steps copied from the link: Insert a blank DVD. A 'CD/DVD Creator', 'Choose Disc Type' or 'Blank Disc' window might pop up. Close this, ...


5

The official installation guide recommends at least 15 GB free space and the installer requires 6.4 GB. The base operating system itself won't take much more space (in fact it most likely takes less space than 15GB), but if you want to install more applications and save some data (e.g. movies or music) on the partition, you should go with a bit more, ...


5

This has already been answered however maybe some keywords need to be added to the original question so it can be found more easily. Please let us know which search terms you tried.


Only top voted, non community-wiki answers of a minimum length are eligible